log_file = open("test_raw_data.log", "r").readlines()
test_file = open("issue_stddev.csv", "w")
block_file = open("redeem_stddev.csv", "w")
open_file = open("open_stddev.csv", "w")
promo_file = open("promo_stddev.csv", "w")

test_file.write("RequestT,ResponseT,ResponseHT\n")
block_file.write("RequestT,ResponseT,ResponseHT\n")
open_file.write("RequestT,ResponseT,ResponseHT\n")
promo_file.write("RequestT,ResponseT,ResponseHT\n")



blockage = 0
num = 0
req_time = 0
resp_time = 0
resp_handle = 0
endline = 0

# Loop over the remaining lines in the file
for line in log_file:
    if "ISSUE_INVITE" in line:
        blockage = 1

    elif "REDEEM_INVITE" in line:
        blockage = 2

    elif "OPEN_INVITE" in line:
        blockage = 3
    elif "TRUST_PROMOTION" in line:
        blockage = 4

    elif "tests::stats" in line:
        blockage = 0

    elif blockage:
        value = line.split(" = ")
        if value[0].startswith("Request"):
            to_sec = value[1][:-3]
            req_time = to_sec

        elif value[0].startswith("Response"):
            to_sec = value[1][:-3]
            if "handle" in value[0]:
                resp_handle_time = to_sec
                endline = 1
            else:
                resp_time = to_sec


    if endline == 1:
        if blockage == 1:
            test_file.write(str(req_time)+ "," + str(resp_time) + "," + str(resp_handle_time) + "\n")
            endline = 0
        elif blockage == 2:
            block_file.write(str(req_time) + ","  + str(resp_time) + "," + str(resp_handle_time) + "\n")
            endline = 0
        elif blockage == 3:
            open_file.write(str(req_time) + ","  + str(resp_time) + "," + str(resp_handle_time) + "\n")
            endline = 0
        elif blockage == 4:
            promo_file.write(str(req_time) + ","  + str(resp_time) + "," + str(resp_handle_time) + "\n")
            endline = 0
        blockage = 0

test_file.close()
block_file.close()
print("Done.")
